# IC-OPERATOR-VALIDATION

This lib compares and validates two values you provide.

After importing the lib, for the implementation we need to:

## Instance class OperatorValidator with the following parameters

```
{
  type_of_value: string,
  value: unknown,
  value_to_compare: unknown,
  operator?: string // if empty it's going to consider 'EQUALS'
}
```

The values for `type_of_value` can be:

_`'string', 'boolean', 'number', 'date', 'datetime'`_

The values for `operator` can be:

_`'EQUALS', 'DIFF', 'STARTING', 'ENDING', 'BIGGER', 'MINOR', 'BIGGEREQ', 'MINOREQ', 'IN', 'NOT_IN', 'HAS_DAY', 'HAS_MONTH', 'HAS_YEAR', 'IN_WEEK'`_

## Call OperatorValidator.compare()

It will return a `boolean` telling you if the values you are comparing match the operator you defined.
True means it matches and false means it doesn't.
