import IComparableAndOperator from '../interfaces/IComparableAndOperator';

export const COMPARABLE_TYPES_AND_OPERATORS: IComparableAndOperator = {
  string: ['EQUALS', 'DIFF', 'STARTING', 'ENDING', 'IN', 'NOT_IN'],
  boolean: ['EQUALS', 'DIFF'],
  number: ['EQUALS', 'DIFF', 'BIGGER', 'MINOR', 'BIGGEREQ', 'MINOREQ', 'IN', 'NOT_IN'],
  date: ['HAS_DAY', 'HAS_MONTH', 'HAS_YEAR', 'IN_WEEK'],
  datetime: ['BIGGER', 'MINOR', 'BIGGEREQ', 'MINOREQ'],
};
