import { expect } from 'chai';

import CODE_MESSAGES from '../src/constants/codeMessages';
import Exceptions from '../src/exceptions/exceptions';

describe('Tests suite - Errors classes.', () => {
  it('SUCESS: Create BusinessError.', async () => {
    const business_exception = new Exceptions.BusinessError(CODE_MESSAGES.INVALID_OPERATOR);

    expect(business_exception.message).to.equal(CODE_MESSAGES.INVALID_OPERATOR.message);
  });

  it('SUCESS: Generate NotFoundError Object.', async () => {
    const business_exception = new Exceptions.NotFoundError(CODE_MESSAGES.INVALID_OPERATOR);

    expect(business_exception.message).to.equal(CODE_MESSAGES.INVALID_OPERATOR.message);
  });
});
