import CodeMessages from '../interfaces/CodeMessages';
declare namespace Exceptions {
    class BusinessError extends Error {
        record_id: string;
        code: string;
        constructor(code_messages_interface: CodeMessages);
    }
    class NotFoundError extends Error {
        statusCode: number;
        code: string;
        constructor(code_messages_interface: CodeMessages);
    }
}
export default Exceptions;
