"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Exceptions;
(function (Exceptions) {
    class BusinessError extends Error {
        constructor(code_messages_interface) {
            super(`BusinessError: ${code_messages_interface.message}`);
            this.name = 'BusinessError';
            this.code = code_messages_interface.code;
            this.record_id = code_messages_interface.record_id;
            this.message = code_messages_interface.message;
        }
    }
    Exceptions.BusinessError = BusinessError;
    class NotFoundError extends Error {
        constructor(code_messages_interface) {
            super(`NotFoundError: ${code_messages_interface.message}`);
            this.code = code_messages_interface.code;
            this.name = 'NotFoundError';
            this.message = code_messages_interface.message;
        }
    }
    Exceptions.NotFoundError = NotFoundError;
})(Exceptions || (Exceptions = {}));
exports.default = Exceptions;
