import { IWeekDaysValues } from '../interfaces/IWeekDaysValues';
export declare const seconds_in_milliseconds: (seconds: number) => number;
export declare const minutes_in_milliseconds: (minutes: number) => number;
export declare const hours_in_milliseconds: (hours: number) => number;
export declare const days_in_milliseconds: (days: number) => number;
export declare function getDateOnMidnight(date: Date): Date;
export declare function getDateAtEndOfDay(date: Date): Date;
export declare function getDateDaysAgo(date: Date, days: number): Date;
export declare function getDayOfTheSameWeek(date: Date, day: IWeekDaysValues): Date;
export declare function isSameWeek(date: Date, another_date: Date): boolean;
